/* LanguageTool, a natural language style checker
 * Copyright (C) 2012 Daniel Naber (http://www.danielnaber.de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 * USA
 */
package org.languagetool.rules.spelling;

import junit.framework.TestCase;
import org.languagetool.Language;

import java.io.IOException;

public class SuggestionExtractorTest extends TestCase {

  public void testGetSuggestions() throws IOException {
    final SuggestionExtractor extractor = new SuggestionExtractor();
    assertEquals("[]", extractor.getSimpleSuggestions("Did you mean foo?").toString());
    assertEquals("[foo bla]", extractor.getSimpleSuggestions("Did you mean <suggestion>foo bla</suggestion>?").toString());
    assertEquals("[foo bla, xxx]", extractor.getSimpleSuggestions("Did you mean <suggestion>foo bla</suggestion> or <suggestion>xxx</suggestion>?").toString());
    assertEquals("[foo bla, xxx]", extractor.getSimpleSuggestions("Did you mean <suggestion suppress_misspelled=\"yes\">foo bla</suggestion>" +
            " or <suggestion>xxx</suggestion>?").toString());

    assertEquals("[]", extractor.getSimpleSuggestions("Did you mean <suggestion>foo \\1</suggestion>?").toString());
    assertEquals("[]", extractor.getSimpleSuggestions("Did you mean <suggestion>‚<match no=\"3\" include_skipped=\"following\"/></suggestion>?").toString());
  }

}
